Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364194 - Review Request: pintail - Build web sites from Mallard sources
Summary: Review Request: pintail - Build web sites from Mallard sources
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eduardo Mayorga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1334112 (view as bug list)
Depends On:
Blocks: 1346060
TreeView+ depends on / blocked
 
Reported: 2016-08-04 16:41 UTC by William Moreno
Modified: 2016-10-11 23:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-11 15:42:53 UTC
e: fedora-review+


Attachments (Terms of Use)

Description William Moreno 2016-08-04 16:41:46 UTC
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/pintail.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/pintail-0.3-1gitd669691.fc26.src.rpm
Description: Build web sites from Mallard sources
Fedora Account System Username: williamjmorenor

Test builds: https://copr.fedorainfracloud.org/coprs/williamjmorenor/fedora-review-test/build/438222/

Incorrect fsf adress reported upstream: https://github.com/projectmallard/pintail/issues/21

Comment 1 William Moreno 2016-08-04 16:51:11 UTC
*** Bug 1334112 has been marked as a duplicate of this bug. ***

Comment 2 Eduardo Mayorga 2016-08-05 17:10:47 UTC
python3-elasticsearch requires python3-urllib3, so please drop it.

Comment 3 William Moreno 2016-08-05 20:09:18 UTC
This is not a blocker issue.

Comment 4 Eduardo Mayorga 2016-08-06 04:16:27 UTC
You are not correct here. Packages must not contain unnecessary explicit Requires on libraries. See: https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Explicit_Requires.

Comment 5 Eduardo Mayorga 2016-08-08 04:54:04 UTC
[mayorga@topo results]$ rpmlint -i pintail-0.3-1gitd669691.fc25.noarch.rpm 
pintail.noarch: E: explicit-lib-dependency python3-urllib3
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.

Please remove this dependency to continue with the review.

Comment 7 William Moreno 2016-08-15 21:53:36 UTC
Reviewer ping :)

Comment 8 Eduardo Mayorga 2016-08-22 05:23:32 UTC
Release tag should look like 1.YYYYMMDDgit%{shortcommit0}%{?dist}. See the note on post-release packages: https://fedoraproject.org/wiki/Packaging:Naming?rd=Packaging:NamingGuidelines#Snapshot_packages.

Otherwise, this package looks fine.

Comment 10 Eduardo Mayorga 2016-08-24 19:52:13 UTC
PACKAGE APPROVED

Comment 11 Gwyn Ciesla 2016-08-25 12:58:59 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/pintail

Comment 12 Fedora Update System 2016-09-30 20:24:17 UTC
pintail-0.3-1.20160805git6f2daf7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9c789f707

Comment 13 Fedora Update System 2016-10-01 05:26:43 UTC
pintail-0.3-1.20160805git6f2daf7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9460866789

Comment 14 Fedora Update System 2016-10-01 05:27:50 UTC
pintail-0.3-1.20160805git6f2daf7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-249e1f83f6

Comment 15 Fedora Update System 2016-10-11 15:42:53 UTC
pintail-0.3-1.20160805git6f2daf7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-10-11 19:55:33 UTC
pintail-0.3-1.20160805git6f2daf7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-10-11 23:21:57 UTC
pintail-0.3-1.20160805git6f2daf7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.